服务器官方技术文章【转载】
取消
显示结果 
搜索替代 
您的意思是: 

请教各位工程师,如何在DL380 G7安装Red Hat Enterprise Linux 6 Server 64位?以及如何用smartstart 8.7安装驱动?

flaycat
初级访客

请教各位工程师,如何在DL380 G7安装Red Hat Enterprise Linux 6 Server 64位?以及如何用smartstart 8.7安装驱动?

请教各位工程师,如何在DL380 G7安装Red Hat Enterprise Linux 6 Server 64位?以及如何用smartstart 8.7安装驱动?已经上网找过,始终找不到相关资料,只找到用Smartstart8.0安装Red Hat Enterprise Linux 5 Server的资料,但smartstart8.0上有PSP,8.7不知有没有?在什么地方?请惠普公司的工程师能够帮我解决,谢谢!

6 条回复
xiangys
小学生

回复: 请教各位工程师,如何在DL380 G7安装Red Hat Enterprise Linux 6 Server 64位?以及如何用smartstart 8.7安装驱动?

DL380G7可以直接用RH6 X64安装系统,装完后再打PSP包,RH6 X64下PSP包最新的9.10版本的下载链接如下: http://h20565.www2.hp.com/portal/site/hpsc/template.PAGE/public/psi/swdDetails/?sp4ts.oid=4091432&spf_p.tpst=swdMain&spf_p.prp_swdMain=wsrp-navigationalState%3Didx%253D%257CswItem%253DMTX_a980fae0949446edb051d4b75e%257CswEnvOID%253D4103%257CitemLocale%253D%257CswLang%253D%257Cmode%253D%257Caction%253DdriverDocument&javax.portlet.begCacheTok=com.vignette.cachetoken&javax.portlet.endCacheTok=com.vig... 在英文网站上可以找到。smartstart 8.70里也应该有for rh6 x64的PSP的,我看了smartstart8.70 x64说明了有如下描述: ProLiant Support Pack: •New Operating System Support •Red Hat Enterprise Linux 6 •Red Hat enterprise Linux 5.6 •Microsoft® Windows Server® 2011 Small Business •Microsoft® Windows Server® 2011 Small Business Essentials •Microsoft® Windows Server® 2008 R2 SP1 Red Hat Enterprise Linux 6 也在其中,所以smartstart 8.70也带PSP包的,可以系统下直接安装打包。
-----------------------------------------------------------------------

如果我的帖子对您有帮助,欢迎您点击我名字下方的五角星给我奖励;如果我的帖子解答了您的问题,欢迎您将我的帖子标记为已解答

-----------------------------------------------------------------------
smalldonkey
签约顾问

回复: 请教各位工程师,如何在DL380 G7安装Red Hat Enterprise Linux 6 Server 64位?以及如何用smartstart 8.7安装驱动?

楼上的解释已经很详细了。直接安装系统,完成后再打PSP包即可。不懂的可以联系我,扣扣719158314.
-----------------------------------------------
TS-GSD-China-HF, CQL.
Do not waste your time in doubts and fears.

回复: 请教各位工程师,如何在DL380 G7安装Red Hat Enterprise Linux 6 Server 64位?以及如何用smartstart 8.7安装驱动?

你可以到官网上下一个HP_Service_Pack_for_Proliant最新版本的光盘,找不到的话给800打电话让他们给你链接,然后在系统下就可以更新firmware和安装驱动程序,smartstart8.7毕竟有点老了,好多驱动不是最新的

gt0114
首席顾问

回复: 请教各位工程师,如何在DL380 G7安装Red Hat Enterprise Linux 6 Server 64位?以及如何用smartstart 8.7安装驱动?

2楼讲解详细啊,谢谢分享
老渔翁
首席顾问

回复: 请教各位工程师,如何在DL380 G7安装Red Hat Enterprise Linux 6 Server 64位?以及如何用smartstart 8.7安装驱动?

2楼讲解详细啊,谢谢分享

回复: 请教各位工程师,如何在DL380 G7安装Red Hat Enterprise Linux 6 Server 64位?以及如何用smartstart 8.7安装驱动?


1 如果您的机器有光驱的话,请直接开机把LINUX 的安装盘放入光驱直接引导安装即可(惠普服务器默认外部设备引导优先)。

2 如果没有光驱,请用rhel-server-6.0-x86_64-boot制成引导优盘,并把LINUX6.0的镜像放入优盘的根目录。用优盘开机安装时选择从HARD DRIVERX 选取镜像安装即可。

3安装完系统后,把SMART START8.7 cd放入光驱,直接进入光盘compaq\csp\linux\下运行hpsum   剩下的就不用我说了,按照提示来就行了。

 

(备注:运行HPSUM 是有依赖包的,以下来自GOOGLE 翻译供参考:SmartStart的v8.70


  
SmartStart光盘为Linux用户提供了多种工具
  
增强的ProLiant服务器的部署和管理。

  
Linux的ProLiant技术支持包(PSP)包含了最新测试
  
并批准设置的驱动程序,工具,代理和应用程序
  
您的ProLiant服务器。提供了基于GUI的Linux PSP,
  
其终端窗口或无声脚本化安装
  
内容。

  
Linux的软盘生成器工具提供了最新的驱动程序
  
软盘支持的ProLiant存储选项。


支持的Linux发行版

  
SmartStart CD中提供了下面的Linux发行版的支持:

    
红帽企业Linux 5(X86)
    
红帽企业Linux 5(AMD64/EM64T)
    
红帽企业Linux 6的服务器(X86)
    
红帽企业Linux 6的服务器(X86-64)
    
SUSE LINUX Enterprise Server 10的(X86)
    
SUSE LINUX Enterprise Server 10中(AMD64/EM64T)
    
SUSE LINUX Enterprise Server 11的(X86)
    
SUSE LINUX Enterprise Server 11的(AMD64/EM64T)

    
注意:
      
支持英特尔和AMD的32位服务器的x86 =
      
AMD64 =支持基于AMD Opteron的64位服务器
      
EMT64支持英特尔增强型内存技术的64位服务器

注意:最后的Red Hat Enterprise Linux 4的支持PSP的版本为8.64。
注:红帽企业版Linux 6支持与PSP版本8.62或更高版本。


最低要求

重要提示:在目标系统上部署软件更新之前,确定一个
            
最近的备份目标系统是可以在事件
            
部署过程失败。
 
PSP安装Linux服务器具有以下最低要求:
?的glibc 2.2.4-26或更高版本
GAWK 3.1.0-3或更高版本
SED 3.02-10或更高版本
与pciutils-2.1.8-25.i386.rpm或更高版本

也需要以下RPM:
 
在Red Hat服务器:
ØRPM 4.0.4或更高版本
Ørpm-build程序4.0.4或更高版本
ØRPM的发育4.0.4或更高版本
 
在SUSE Linux服务器:RPM 3.0.6或更高版本

要成功部署基于Linux操作系统的远程目标系统上的HP SUM
系统,必须具备以下内容:
ØTCL-8.x套件
Ø预期5.x的包

此外,从源代码编译的组件(如网卡驱动程序)
需要的存在,下面的构建工具:
GCC-2.96-108.1或更高版本
CPP-2.96-108.1或更高版本
与binutils-2.11.90.0.8或更高版本
开发的glibc-2.2.4-26或更高版本
内核头文件<VERSION>(取决于所使用的是哪个内核的版本号。)


安装这些更新需要传统的兼容性库被加载。
自动运行脚本会检测到缺少的库,并提示他们安装。
例如,SLES 11下32位或64位,您必须安装RPM软件包的兼容性。

必须安装的命令解释程序(shell)/斌/ bash的。

自动运行功能,系统必须运行X的窗口管理器和
安装的浏览器。对于一些分布,必须安装CD /自动运行
执行的命令的自动运行功能。

注:开始与Linux的HP ProLiant技术支持包8.40或更高版本,请确保
还安装了以下RPM。

对于Red Hat Enterprise Linux 5的AMD64/EM64T服务器:
?的compat-libstdc + +-296-2.96-132.7.2.i386或更高版本
?lm_sensors-2.8.7-2.x86_64的或更高版本
网络SNMP-5.3.1-14.el5.x86_64或更高版本
?perl的(需要提供libperl.so)
?与libnl(需要QLogic和Emulex驱动程序)

只能在本地运行的Linux操作系统,HP SUM执行所需的RPM
NIC源RPM的构建:
GCC-2.96-108.1或更高版本
安装kernel-devel(特别是为Red Hat需要建立从源代码的RPM。
        
企业版Linux 5.3及更高版本,请务必安装安装kernel-devel
        
除了任何内核开发包,如内核Xen的发育
        
或kernel-PAE-s)中
RPM构建工具

对于Red Hat Enterprise Linux 6的服务器 - RHEL6控制台模式:

注意:在x86或x86_64 - 无X控制台安装为默认设置的基本服务器
以下RPM,运行HP SUM静音模式。

注意:下面的版本所需要的最低标准。后来的版本中,这些最能
可能被用来作为。
lm_sensors库-3.1.1-10.el6。<架构>。转
?的net-snmp的库-5.5-27.el6转。<架构>。
?的net-snmp-5.5.27.el6。<架构>。转
内核头文件-2.6.32-71.el6。<架构>。转
?的redhat-rpm的配置-9.0.3-25.el6.noarch.rpm
安装kernel-devel-2.6.32-71.el6。<架构>。转
rpm-build程序-4.8.0-12.el6。<架构>。转
GCC-4.4.4-13.el6转。<架构>。

注意:以下的版本(s),建议的最低标准。这些较新版本的
最有可能被使用为好。
ncurses的库-5.7-3.20090208.el6.i686.rpm

对于Red Hat Enterprise Linux 6的服务器 - RHEL6图形模式:

注:这适用于x86和x86_64如果用户选择安装
XWindows的支持。

注意:这些必须是32位版本,即使在x86_64架构的HP SUM
数的RPM需要安装32位的库。

注意:下面的版本所需要的最低标准。这些可以较新版本的
最有可能被用来作为。
libuuid-2.17.2-6.el6.i686.rpm
或freetype-2.3.11-5.el6.i686.rpm
?libSM-1.1.0-7.1.el6.i686.rpm
?libice的-1.0.6-1.el6.i686.rpm
?libXi已-1.3-3.el6.i686.rpm
?的libx11-1.3-2.el6.i686.rpm
?libXext-1.1-3.el6.i686.rpm
?与libxcb-1.5-1.el6.i686.rpm
与libxau-1.0.5-1.el6.i686.rpm
libXrender-0.9.5-1.el6.i686.rpm
?libXrandr-1.3.0-4.el6.i686.rpm
libXfixes-4.0.4-1.el6.i686.rpm
libXcursor-1.1.10-2.el6.i686.rpm
?的fontconfig-2.8.0-3.el6.i686.rpm
外籍-2.0.1-9.1.el6.i686.rpm
预期5.44.1.15-2.el6。<架构>。转
?的zlib-1.2.3-25.el6.i686.rpm
?的libstdc + +-4.4.4-13.el6.i686.rpm
?的net-snmp-5.5-27.el6。<架构>。转

注意:以下的版本(s),建议的最低标准。这些较新版本的
最有可能被使用为好。

ncurses的库-5.7-3.20090208.el6.i686.rpm

此外,build目录下的RPM包从源代码构建改变
建立它们的用户的名称。向上通过RHEL5中,该目录已经
/ usr / src目录/红帽/ RPMS /。在RHEL6中,该目录为/ root / rpmbuild / RPMS /
 
用户以root身份登录/ $ USER /家庭/ rpmbuild / RPMS / root以外的用户。



安装Linux的ProLiant技术支持包,使用AutoRun

  
PSP可以安装上配置通过自动运行,自动运行,
  
目标Linux服务器。

  
Red Hat发行版包括自动运行。如果没有安装自动运行,
  
它必须安装并正确配置,然后再开始。自动运行
  
通常会安装在/ media / cdrom目录CD-ROM的Red Hat Enterprise
  
Linux 4和基于SUSE的分布。

  
注:目前所有版本的红帽企业Linux届SUSE LINUX企业
         
服务器10 SP2或更高版本的自动挂载CD使用noexec属性集。
         
以自动执行(AutoRun),CD必须先卸载,然后手工
         
重新安装。

  
对于其他分派,自动执行工具,可用于
  
下载各种互联网网站。这些分布会
  
通常安装在/ media / cdrom上的CD-ROM上。

  
本自述文件的目的,CD-ROM已
  
安装在/ mnt /产妇和新生儿破伤风。实际的挂载点应替换到/ mnt / MNT
  
在执行这些指令。

  
要在Linux中使用SmartStart CD,请完成以下步骤。

    
Ø在控制台上以root身份登录。

    
O插入的CD。如果自动被激活,跳过下一个步骤。

    
o如果自动运行功能没有被激活,手动安装CD和执行
      
自动运行脚本(例如到/ mnt到/ mnt /自动运行)。

    
o在最终用户许可协议“屏幕上自动运行,选择”同意“按钮
      
如果您同意该协议的条款,并希望继续与自动运行。
      
选择“不同意”,如果你不同意协议的条款,并希望
      
退出自动运行。

    
Ø选择软件“选项卡。

    
o选择“安装ProLiant技术支持包”选项来安装所需的
      
Linux的PSP。


手动安装Linux的ProLiant技术支持包

  
对于以后的讨论中,CD安装目录
  
考虑到/ mnt /产妇和新生儿破伤风。实际的安装点应更换
  
到/ mnt / mnt当执行这些指令。大多数Linux发行版
  
安装CD / media / cdrom上。如果CD-ROM安装点中没有定义
  
/ etc / fstab中,一个完整的mount命令是必需的。

    
Ø在控制台上以root身份登录。

    
Ø将SmartStart CD。

    
o挂载的CD(例如,安装到/ mnt / mnt或
      
挂载吨的iso9660 / dev / cdrom的到/ mnt / mnt)中。

    
o更改/康柏/ CSP / linux目录中。
   
    
Ø执行。/ HPSUM命令安装Linux的ProLiant
      
支持包。
    
    
o安装程序将打开一个交互式会话,这将使你
      
安装Linux的ProLiant技术支持包。
  
注:开始与Linux的ProLiant Support Pack 8.40或更高版本,请确保
      
还安装了以下RPM。

对于Red Hat Enterprise Linux 5的x86服务器:
?的compat-libstdc + +-296-2.96-132.7.2.i386或更高版本
lm_sensors-2.8.7-2.i386或更高版本
?的net-snmp-5.3.1-14.el5.i386或更高版本
?perl的(需要提供libperl.so)
?与libnl(需要QLogic和Emulex驱动程序)

对于Red Hat Enterprise Linux 5的AMD64/EM64T服务器:
?的compat-libstdc + +-296-2.96-132.7.2.i386或更高版本
?lm_sensors-2.8.7-2.x86_64的或更高版本
网络SNMP-5.3.1-14.el5.x86_64或更高版本
?perl的(需要提供libperl.so)
?与libnl(需要QLogic和Emulex驱动程序)

对于Red Hat Enterprise Linux 6的x86服务器:
?LM-传感器库-3.1.1-10.el6.i686.rpm
?的net-snmp的库-5.5-27.el6.i686.rpm
?的net-snmp-5.5.27.el6.i686.rpm
?的libstdc + +-4.4.4-13.el6.i686.rpm

对于Red Hat Enterprise Linux 6的AMD64/EM64T服务器:
?LM-传感器库-3.1.1-10.el6.x86_64.rpm
?的net-snmp的库-5.5-27.el6.x86_64.rpm
?的net-snmp-5.5.27.el6.x86_64.rpm
?的libstdc + +-4.4.4-13.el6.i686.rpm

对于SLES 10 x86服务器:
兼容2006年1月25日11.2.i586或更高版本
?的compat-libstdc + +-5.0.7-22.2.i586或更高版本
?perl的(需要提供libperl.so)
?与libnl(需要QLogic和Emulex驱动程序)

对于SLES 10 AMD64/EM64T服务器:
兼容2006年1月25日11.2.x86_64或更高版本
?兼容32位2006年1月25日11.2.x86_64或更高版本
?的compat-libstdc通过+ + -5.0.7-22.2。 x86_64或更高版本
?perl的(需要提供libperl.so)
?与libnl(需要QLogic和Emulex驱动程序)

对于SLES 11 x86服务器:
?perl的(需要提供libperl.so)
?的compat-libstdc + +-296-2.96-132.7.2.i386或更高版本
+ +33-3.3.3-11.9。i586系统或更高版本
?的perl-SNMP-5.4.2.1-6.3.i586或更高版本
?的net-snmp-5.4.2.1-6.3.i586或更高版本
?与libnl(需要QLogic和Emulex驱动程序)

对于SLES 11 AMD64/EM64T服务器:
?巧舌如簧-1.2.10-15.i386的的或更新的版本
?的compat-libstdc + +-296-2.96-132.7.2.i386或更高版本
?+ +33-32位-3.3.3-11.9或更高版本
perl-SNMP的-5.4.2.1-6.3.x86_64的或更高版本
?网-SNMP-5.4.2.1-6.3.x86_64或更高版本
?与libnl(需要QLogic和Emulex驱动程序)


完成构建NIC源RPM,需要以下RPM的
本地的Linux系统上运行的HP SUM。
GCC-2.96-108.1或更高版本
安装kernel-devel(特别是对于需要建立从源代码的RPM。
           
红帽企业服务器5.3和更高版本。一定要安装
           
除了任何内核开发包安装kernel-devel
           
如内核,Xen的发育或kernel-PAE-DEVEL)
内核SYMS
RPM构建工具
 
注意:一定要包括的版本的兼容性库
适合你的架构。在某些情况下,有单独的32位
和64位兼容性库,对于一个给定的分布。
 
对于支持的Linux发行版和版本(以及它们的当前列表
相关的勘误内核),请参阅操作系统支持矩阵
http://www.hp.com/go/supportos),。私人机构参建居屋计划是专为使用后,
安装作业系统,使您可以更新驱动程序,安装HP
实用程序(如健康和iLO驱动程序),并安装代理(基础,
服务器,NIC和存储)。



执行Linux软盘生成器工具使用AutoRun

  
Red Hat发行版包括自动运行。如果没有安装自动运行,
  
它必须安装并正确配置,然后再开始。自动运行
  
通常会安装在/ media / cdrom上的CD-ROM上。

  
对于其他分派,自动执行工具,可用于
  
下载各种互联网网站。这些分布会
  
通常安装在/ media / cdrom上的CD-ROM上。

  
本自述文件的目的,CD-ROM已
  
安装在/ mnt /产妇和新生儿破伤风。实际的挂载点应替换到/ mnt / MNT
  
在执行这些指令。

  
要在Linux中使用SmartStart CD,请完成以下步骤。

    
Ø在控制台上以root身份登录。

    
O插入的CD。如果自动被激活,跳过下一个步骤。

    
o如果自动运行功能没有被激活,手动安装CD和执行
      
自动运行脚本(例如到/ mnt到/ mnt /自动运行)。

    
o在最终用户许可协议“屏幕上自动运行,选择”同意“按钮
      
如果您同意该协议的条款,并希望继续与自动运行。
      
选择“不同意”,如果你不同意协议的条款,并希望
      
退出自动运行。

    
Ø选择软件“选项卡。

    
o选择“创建驱动程序软盘”选项以创建所需的
      
Linux驱动程序的软盘。


手动执行的Linux软盘生成器实用工具

  
对于以后的讨论中,CD安装目录
  
考虑到/ mnt /产妇和新生儿破伤风。实际的安装点应更换
  
到/ mnt / mnt当执行这些指令。通常情况下,红帽企业
  
Linux 4和SUSE的分发安装在/ media / CDROM光盘。
  
如果没有被定义在/ etc / fstab中,一个完整的CD-ROM安装点
  
mount命令是必需的。

    
Ø在控制台上以root身份登录。

    
Ø将SmartStart CD。

    
o挂载的CD(例如,安装到/ mnt / mnt或
      
挂载吨的iso9660 / dev / cdrom的到/ mnt / mnt)中。
 
    
o更改到/的PunchOut / linux目录下的CD。

    
Ø执行应用使用。/ lnxbldr.sh命令。

    
Ø按照提示建立必要的软盘映像使用
      
在安装过程中的Linux发行版。

  
注意:结束时的软盘构建过程中,一个选项是给
        
查看自述文件,如果提供的话,对于给定的软盘。任何
        
还提供了在需要的命令,在Linux的引导提示
        
的结论的软盘构建过程。